/**
  SwitchHosts
  Copyright (C) 2009-2009 Takashi Ishikawa.
  http://switchhosts.mozdev.org/

  This source code is released under the GPL license,
  available in the LICENSE file at the root of this installation
  and also online at http://www.gnu.org/licenses/gpl.txt
**/

var EXPORTED_SYMBOLS = ["PaidonUtil"];

const Cc = Components.classes;
const Ci = Components.interfaces;
var Application = Cc["@mozilla.org/fuel/application;1"].getService(Ci.fuelIApplication);
var promptService = Cc["@mozilla.org/embedcomp/prompt-service;1"].getService(Ci.nsIPromptService);

var PaidonUtil = {

  trim : function(sValue){
    return sValue.replace(/^[ ]+|[ ]+$/g, '');
  },

  endsWith : function(text, suffix) {
    if (suffix.length > text.length) return false;
    return suffix == text.slice(~suffix.length + 1);
  },

  alert : function(sTitle, sText){
    promptService.alert(null, sTitle, sText);
  },

  confirm : function(sTitle, sText){
    return promptService.confirm(null, sTitle, sText);
  }

};
