/**
  SwitchHosts
  Copyright (C) 2009-2009 Takashi Ishikawa.
  http://switchhosts.mozdev.org/

  This source code is released under the GPL license,
  available in the LICENSE file at the root of this installation
  and also online at http://www.gnu.org/licenses/gpl.txt
**/

Components.utils.import("resource://modules/PaidonUtil.jsm");

var EXPORTED_SYMBOLS = ["SWConst"];

const Cc = Components.classes;
const Ci = Components.interfaces;
var Application = Cc["@mozilla.org/fuel/application;1"].getService(Ci.fuelIApplication);

var SWConst = { };

SWConst.MY_PRODUCT_NAME = "SwitchHosts";
SWConst.MY_EXTENSION_ID = SWConst.MY_PRODUCT_NAME + "@mozdev.org";
SWConst.PREF_BRANCH_NAME = "extensions." + SWConst.MY_PRODUCT_NAME.toLowerCase() + ".";
SWConst.RDF_ROOT = "http://mozilla.org/package/jgillick/" + SWConst.MY_PRODUCT_NAME.toLowerCase() + "/rdf/all";
SWConst.RDF_NODE_ROOT = "http://mozilla.org/package/jgillick/" + SWConst.MY_PRODUCT_NAME.toLowerCase() + "/rdf";
SWConst.LOCAL_PROPERTIES_PATH = "chrome://" + SWConst.MY_PRODUCT_NAME + "/locale/" + SWConst.MY_PRODUCT_NAME + ".properties";
SWConst.HOSTS_FILE_EXT = ".switchhosts";

SWConst.EVENT_SAVE_HOSTS_FILE = "SAVE_HOSTS_FILE";
SWConst.EVENT_SELECT_HOSTS = "SELECT_HOSTS";
SWConst.EVENT_REMOVE_HOSTS_FILE = "REMOVE_HOSTS_FILE";
SWConst.EVENT_LOCATION_CHANGE = "EVENT_LOCATION_CHANGE";
SWConst.EVENT_REFRESH_DNS = "EVENT_REFRESH_DNS";
SWConst.EVENT_OSHOSTS_CHANGED = "EVENT_OSHOSTS_CHANGED";
