/**
  SwitchHosts
  Copyright (C) 2009-2009 Takashi Ishikawa.
  http://switchhosts.mozdev.org/

  This source code is released under the GPL license,
  available in the LICENSE file at the root of this installation
  and also online at http://www.gnu.org/licenses/gpl.txt
**/

Components.utils.import("resource://modules/PaidonUtil.jsm");
Components.utils.import("resource://modules/PaidonLogger.jsm");
Components.utils.import("resource://modules/SWFactory.jsm");
Components.utils.import("resource://modules/SWConst.jsm");

function FirefoxOverlay() {

  this.init = function() {

      if(SWG.isAddonStarted()){

        //
        this.logger = SWFactory.getLogger(this);

        //j[
        this.menu = new FirefoxMenu();
        this.menu.init();

        //For Upgrade
        Components.utils.import("resource://modules/SWUpgrade.jsm");
      }

  };

  this.openHostsManageDialog = function() {
    if(SWG.isAddonStarted()) window.openDialog("chrome://SwitchHosts/content/HostsManageDialog.xul","HostsManageDialog","centerscreen, chrome, resizable");
  };

  this.openPreferenceDialog = function() {
    if(SWG.isAddonStarted()) window.openDialog("chrome://SwitchHosts/content/PreferenceDialog.xul","PreferenceDialog","centerscreen, chrome, resizable");
  };

  this.openAboutDialog = function() {
    window.openDialog("chrome://SwitchHosts/content/AboutDialog.xul","AboutDialog","centerscreen, chrome, resizable");
  };

  this.destroy = function(){
  };


};

var main = new FirefoxOverlay();
window.addEventListener("load", function(){
    main.init();
}, false);
window.addEventListener("unload", function(){
    SWG.destroy();
    main.destroy();
}, false);

//ACXg[
var ext = Application.extensions.get(SWConst.MY_EXTENSION_ID);
var listener = function(aEventItem) {
        //
        this.logger = SWFactory.getLogger(this);
    if(aEventItem.type == "uninstall" && aEventItem.data == SWConst.MY_EXTENSION_ID){
      SWG.uninstall();
    }
  };
ext.events.addListener("uninstall", listener);
