/**
  SwitchHosts
  Copyright (C) 2009-2009 Takashi Ishikawa.
  http://switchhosts.mozdev.org/

  This source code is released under the GPL license,
  available in the LICENSE file at the root of this installation
  and also online at http://www.gnu.org/licenses/gpl.txt
**/

Components.utils.import("resource://modules/PaidonUtil.jsm");

var EXPORTED_SYMBOLS = ["PaidonLogger"];

const Cc = Components.classes;
const Ci = Components.interfaces;
var Application = Cc["@mozilla.org/fuel/application;1"].getService(Ci.fuelIApplication);

function PaidonLogger(enable){

  this.enabled = enable;
  this.console = Application.console;

    this.debug = function(string){
        if (this.enabled) {
            this.console.log("[DEBUG] - " + string);
        }
    };

    this.info = function(string){
        if (this.enabled) {
            this.console.log("[INFO] - " + string);
        }
    };

    this.warn = function(string){
        if (this.enabled) {
            this.console.log("[WARN] - " + string);
        }
    };

    this.error = function(string){
        if (this.enabled) {
            this.console.log("[ERROR] - " + string);
        }
    };

};
